local addonName, addon = ...

local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local module = {name = addonName .. "-Launcher"}

function module:Enable()
    -- Don't load or register anything if this plugin is disabled
    if addon:IsPluginDisabled(self.name) then
        return
    end

    self:CreateLauncher()
end

function module:CreateLauncher()
    self.dataFeed = ldb:NewDataObject(self.name, {
        type = "launcher",
        -- Icon provided by NinjaKiller (http://ninjakiller.deviantart.com/art/Ninja-Icon-Package-01-56129382)
        icon = "Interface\\AddOns\\NinjaPanel\\NinjaLogo",
        OnClick = function()
            if Settings.OpenToCategory then
                Settings.OpenToCategory("NinjaPanel")
            elseif InterfaceOptionsFrame_OpenToCategory then
                InterfaceOptionsFrame_OpenToCategory(addon.configFrame)
            end
        end,
    })
end

addon:RegisterModule(module, module.name)